=== src/bindings/CMakeLists.txt ===
list (FIND BINDINGS "cpp" FINDEX)
if (FINDEX GREATER -1)
	message(STATUS "Include Binding cpp")
	add_subdirectory (cpp)
endif()

list (FIND BINDINGS "jna" FINDEX)
if (FINDEX GREATER -1)
	message(STATUS "Include Binding jna")
	add_subdirectory (jna)
endif()

set(regex "swig_.*")
list_find(BINDINGS regex found)
if (found)
	message(STATUS "Include Binding swig")
	find_swig()
	if (SWIG_FOUND)
		add_subdirectory (swig)
	else()
		list_filter(BINDINGS regex)
		remove_binding(swig "neither swig2/3 found. Please install swig3.0 and set -DSWIG_EXECUTABLE=")
	endif()
endif()

list (FIND BINDINGS "glib" FINDEX)
if (FINDEX GREATER -1)
	set (GELEKTRA_LIBRARY gelektra-${SO_VERSION}.0)
	add_subdirectory (glib)

	set(regex "gi_.*")
	list_find(BINDINGS regex found)
	if (found)
		add_subdirectory (gi)
	endif ()
endif ()
