=== debian/changelog ===
elektra (0.8.14-5) unstable; urgency=medium

  * Replace patch lua-fix-Key-tostring.diff with upstream
    upstream_lua-fix-Key-tostring.patch.
  * Replace patches python-fix-flags-in-Key.diff and lua-fix-flags-in-Key.diff
    with upstream upstream_bindings-fix-size-of-KEY_FLAGS-value.patch.
  * Enable the augeas plugin:
    - add the libaugeas-dev build dependency
    - create a new libelektra4-augeas package
  * Create a new libelektra4-lua for the lua plugin.
  * Create a new libelektra4-python for the python plugin.
  * Improve the libelektragetenv.so handling:
    - move it from elektra-bin to libelektra4, adding proper breaks/replaces
    - help dh_shlibdeps finding it
    - exclude it from the shared libraries (dh_makeshlibs job)
  * Enable the Qt gui:
    - add the qtbase-dev, qtdeclarative5-dev, libmarkdown2-dev, and discount
      build dependencies
    - create a new elektra-qt-gui package
  * Link in as-needed mode.
  * Add in libelektra4 all the plugins as suggests.
  * Backport upstream commit b547ec94840f155c0fe517afdcf46043a99c8b04 to mark
    the convert-hosts script as bash-specific; patch
    upstream_convert-hosts-switch-to-bash.patch.

 -- Pino Toscano <pino@debian.org>  Sun, 13 Dec 2015 20:40:57 +0100

elektra (0.8.14-4) unstable; urgency=medium

  * Fix the lua binding, to not return free'd memory in Key:tostring();
    patch lua-fix-Key-tostring.diff.
  * Fix the handling of KEY_FLAGS in the vararg constructor of Key, in both
    lua and python3 bindings; patches python-fix-flags-in-Key.diff and
    lua-fix-flags-in-Key.diff.

 -- Pino Toscano <pino@debian.org>  Tue, 08 Dec 2015 22:55:12 +0100

elektra (0.8.14-3) unstable; urgency=medium

  * examples-c-pp autopkgtest: build the C++ examples with -std=c++11,
    as it is required by the C++ API now.
  * python3-elektra: fix path to the examples.
  * Fix the elektra-getenv libc wrapper on powerpc; patch getenv-ppc.diff.
  * Fix build without PATH_MAX; patch path-max.diff.

 -- Pino Toscano <pino@debian.org>  Sat, 05 Dec 2015 15:09:42 +0100

elektra (0.8.14-2) unstable; urgency=medium

  * Do not disable the documentation on arch-only builds, as that disables
    also the extra man pages.
  * Move ruby-ronn as normal build dependency, to be always installed.

 -- Pino Toscano <pino@debian.org>  Sun, 29 Nov 2015 20:31:39 +0100

elektra (0.8.14-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - upstream_Fix-vararg-type-for-KEY_FLAGS.patch: drop, backported
    - upstream_fix-238-keyName-example.patch: drop, backported
    - private_elektratools.diff: refresh
  * Re-enable usage of system gtest, as it has been fixed upstream.
  * Update install files.
  * Update copyright.
  * Update lintian overrides.
  * Make elektra-tests depend on elektra-bin, as the latter contains the
    elektra-getenv stuff.
  * Workaround the internal broken list_filter() cmake function; patch
    avoid-list-filter.diff.
  * Update symbols file.
  * Add ruby-ronn as Build-Depends-Indep, as it's used in the generation of
    the documentation.

 -- Pino Toscano <pino@debian.org>  Sun, 29 Nov 2015 18:25:01 +0100

elektra (0.8.12-2) unstable; urgency=medium

  * Upload to unstable.
  * autopkgtest tests: switch from `...` syntax to $(...).
  * Backport upstream commit aca7c1e86285319bb41dde8eb3e5feb71a902931 to fix
    extraction of KEY_FLAGS varargs (crashes on powerpc, for example); patch
    upstream_Fix-vararg-type-for-KEY_FLAGS.patch.
  * Backport upstream commit 0b56b84154497078d7d084611b9f6adeb074b4d2 to fix
    the keyName.c example; patch upstream_fix-238-keyName-example.patch.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Sun, 26 Jul 2015 10:03:55 +0200

elektra (0.8.12-1) experimental; urgency=medium

  * New upstream release:
    - HTML_TIMESTAMP is off by default (Closes: #788879)
  * Update the patches:
    - upstream_Add-the-KEY_END-marker-on-key-creation-where-missing.patch:
      drop, backported
    - upstream_tests-switch-from-tmpnam-to-mkstemp.patch: drop, backported
    - upstream_cmake-check-and-store-the-size-of-mode_t.patch: drop, backported
    - upstream_Make-KEY_MODE-work-when-mode_t-is-not-the-same-as-in.patch:
      drop, backported
    - private_elektratools.diff: refresh
    - path_max.diff: drop, fixed upstream
    - ambiguous_keyset_ctor.diff: drop, the underlying problem should have
      been fixed upstream
  * Update install files.
  * Update symbols file.
  * examples-c-pp autopkgtest: make the cmake build verbose, and exclude
    namespace.c (requires stdin).
  * Update lintian overrides.
  * rules: replace -DBUILD_SWIG=ON, -DBUILD_SWIG_LUA=ON, and
    -DBUILD_SWIG_PYTHON3=ON with -DBINDINGS="ALL".
  * Elektra now installs the bash completion on its own, so:
    - drop the usage of the bash-completion dh addon
    - drop elektra-bin.bash-completion
    - drop the bash-completion build dependency
    - move it manually to /usr/share/bash-completion/completions/, as
      /etc/bash_completion.d/ is deprecated
  * Temporarily use the own copy of gtest, as there is a file there which
    is not provided in the system version; problem reported and fixed upstream
    as https://github.com/ElektraInitiative/libelektra/pull/236.
  * Bump Standards-Version to 3.9.6, no changes required.
  * control: rename XS-Testsuite to Testsuite.
  * rules: skip also the testscrtestkdb_* tests, as they require root access.

 -- Pino Toscano <pino@debian.org>  Thu, 23 Jul 2015 08:18:17 +0200
