=== debian/control ===
Source: elektra
Section: misc
Priority: optional
Maintainer: Pino Toscano <pino@debian.org>
Build-Depends: debhelper (>= 9),
 cmake (>= 2.8),
 pkg-config (>= 0.9.0),
 libboost-dev,
 libdbus-1-dev,
 libyajl-dev,
 libxml2-dev,
 libaugeas-dev,
 qtbase5-dev, qtdeclarative5-dev, libmarkdown2-dev, discount,
 swig3.0,
 dh-lua,
 python3-dev,
 libgtest-dev,
 ruby-ronn,
Build-Depends-Indep:
 doxygen,
 graphviz,
Standards-Version: 3.9.6
Homepage: http://www.libelektra.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/pino/elektra.git
Vcs-Git: git://anonscm.debian.org/users/pino/elektra.git
Testsuite: autopkgtest

Package: libelektra4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Breaks: elektra-bin (<< 0.8.14-5~)
Replaces: elektra-bin (<< 0.8.14-5~)
Suggests: elektra-doc, ${elektra:allPlugins}
Description: elektra configuration store, main library
 Elektra provides a universal and secure framework to store configuration
 parameters in a hierarchical key-value pair mechanism, instead of each
 program using its own text configuration files. This allows any program
 to read and save its configuration with a consistent API, and allows
 them to be aware of other applications' configurations, permitting
 easy application integration. While architecturally similar to other OS
 registries, Elektra does not have most of the problems found in those
 implementations.
 .
 This package contains the main elektra library, and most of the core plugins.

Package: libelektra-dev
Section: libdevel
Architecture: any
Depends: libelektra4 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: elektra configuration store, main library [development]
 Elektra provides a universal and secure framework to store configuration
 parameters in a hierarchical key-value pair mechanism, instead of each
 program using its own text configuration files. This allows any program
 to read and save its configuration with a consistent API, and allows
 them to be aware of other applications' configurations, permitting
 easy application integration. While architecturally similar to other OS
 registries, Elektra does not have most of the problems found in those
 implementations.
 .
 This package contains the development files for the main elektra library.

#Package: libelektratools4
#Section: libs
#Architecture: any
#Multi-Arch: same
#Pre-Depends: ${misc:Pre-Depends}
#Depends: libelektra4 (= ${binary:Version}),
# ${shlibs:Depends},
# ${misc:Depends}
#Description: elektra configuration store, elektratools library
# Elektra provides a universal and secure framework to store configuration
# parameters in a hierarchical key-value pair mechanism, instead of each
# program using its own text configuration files. This allows any program
# to read and save its configuration with a consistent API, and allows
# them to be aware of other applications' configurations, permitting
# easy application integration. While architecturally similar to other OS
# registries, Elektra does not have most of the problems found in those
# implementations.
# .
# This package contains the elektratools library.
#
#Package: libelektratools-dev
#Section: libdevel
#Architecture: any
#Depends: libelektratools4 (= ${binary:Version}),
# libelektra-dev (= ${binary:Version}),
# ${shlibs:Depends},
# ${misc:Depends}
#Description: elektra configuration store, elektratools library [development]
# Elektra provides a universal and secure framework to store configuration
# parameters in a hierarchical key-value pair mechanism, instead of each
# program using its own text configuration files. This allows any program
# to read and save its configuration with a consistent API, and allows
# them to be aware of other applications' configurations, permitting
# easy application integration. While architecturally similar to other OS
# registries, Elektra does not have most of the problems found in those
# implementations.
# .
# This package contains the development files for the elektratools library.

Package: libelektra4-augeas
Section: libs
Architecture: any
Depends: libelektra4 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: elektra configuration store, augeas plugin
 Elektra provides a universal and secure framework to store configuration
 parameters in a hierarchical key-value pair mechanism, instead of each
 program using its own text configuration files. This allows any program
 to read and save its configuration with a consistent API, and allows
 them to be aware of other applications' configurations, permitting
 easy application integration. While architecturally similar to other OS
 registries, Elektra does not have most of the problems found in those
 implementations.
 .
 This package contains the 'augeas' plugin.

Package: libelektra4-dbus
Section: libs
Architecture: any
Depends: libelektra4 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: elektra configuration store, dbus plugin
 Elektra provides a universal and secure framework to store configuration
 parameters in a hierarchical key-value pair mechanism, instead of each
 program using its own text configuration files. This allows any program
 to read and save its configuration with a consistent API, and allows
 them to be aware of other applications' configurations, permitting
 easy application integration. While architecturally similar to other OS
 registries, Elektra does not have most of the problems found in those
 implementations.
 .
 This package contains the 'dbus' plugin.

Package: libelektra4-lua
Section: libs
Architecture: any
Depends: libelektra4 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: elektra configuration store, lua plugin
 Elektra provides a universal and secure framework to store configuration
 parameters in a hierarchical key-value pair mechanism, instead of each
 program using its own text configuration files. This allows any program
 to read and save its configuration with a consistent API, and allows
 them to be aware of other applications' configurations, permitting
 easy application integration. While architecturally similar to other OS
 registries, Elektra does not have most of the problems found in those
 implementations.
 .
 This package contains the 'lua' plugin.

Package: libelektra4-python
Section: libs
Architecture: any
Depends: libelektra4 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: elektra configuration store, python plugin
 Elektra provides a universal and secure framework to store configuration
 parameters in a hierarchical key-value pair mechanism, instead of each
 program using its own text configuration files. This allows any program
 to read and save its configuration with a consistent API, and allows
 them to be aware of other applications' configurations, permitting
 easy application integration. While architecturally similar to other OS
 registries, Elektra does not have most of the problems found in those
 implementations.
 .
 This package contains the 'python' plugin.

Package: libelektra4-xmltool
Section: libs
Architecture: any
Depends: libelektra4 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: elektra configuration store, xmltool plugin
 Elektra provides a universal and secure framework to store configuration
 parameters in a hierarchical key-value pair mechanism, instead of each
 program using its own text configuration files. This allows any program
 to read and save its configuration with a consistent API, and allows
 them to be aware of other applications' configurations, permitting
 easy application integration. While architecturally similar to other OS
 registries, Elektra does not have most of the problems found in those
 implementations.
 .
 This package contains the 'xmltool' plugin.

Package: libelektra4-yajl
Section: libs
Architecture: any
Depends: libelektra4 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: elektra configuration store, yajl plugin
 Elektra provides a universal and secure framework to store configuration
 parameters in a hierarchical key-value pair mechanism, instead of each
 program using its own text configuration files. This allows any program
 to read and save its configuration with a consistent API, and allows
 them to be aware of other applications' configurations, permitting
 easy application integration. While architecturally similar to other OS
 registries, Elektra does not have most of the problems found in those
 implementations.
 .
 This package contains the 'yajl' plugin.

Package: lua-elektra
Section: interpreters
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libelektra4 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: elektra configuration store, Lua bindings
 Elektra provides a universal and secure framework to store configuration
 parameters in a hierarchical key-value pair mechanism, instead of each
 program using its own text configuration files. This allows any program
 to read and save its configuration with a consistent API, and allows
 them to be aware of other applications' configurations, permitting
 easy application integration. While architecturally similar to other OS
 registries, Elektra does not have most of the problems found in those
 implementations.
 .
 This package contains the Lua bindings.

Package: python3-elektra
Section: python
Architecture: any
Depends: libelektra4 (= ${binary:Version}),
 ${shlibs:Depends},
 ${python3:Depends},
 ${misc:Depends}
Description: elektra configuration store, Python 3 bindings
 Elektra provides a universal and secure framework to store configuration
 parameters in a hierarchical key-value pair mechanism, instead of each
 program using its own text configuration files. This allows any program
 to read and save its configuration with a consistent API, and allows
 them to be aware of other applications' configurations, permitting
 easy application integration. While architecturally similar to other OS
 registries, Elektra does not have most of the problems found in those
 implementations.
 .
 This package contains the Python 3 bindings.

Package: elektra-bin
Architecture: any
Multi-Arch: foreign
Depends: libelektra4 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Conflicts: kernel-patch-kdb
Description: elektra configuration store, binaries
 Elektra provides a universal and secure framework to store configuration
 parameters in a hierarchical key-value pair mechanism, instead of each
 program using its own text configuration files. This allows any program
 to read and save its configuration with a consistent API, and allows
 them to be aware of other applications' configurations, permitting
 easy application integration. While architecturally similar to other OS
 registries, Elektra does not have most of the problems found in those
 implementations.
 .
 This package contains command line utilities for Elektra.

Package: elektra-qt-gui
Architecture: any
Depends: libelektra4 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: elektra configuration store, Qt gui
 Elektra provides a universal and secure framework to store configuration
 parameters in a hierarchical key-value pair mechanism, instead of each
 program using its own text configuration files. This allows any program
 to read and save its configuration with a consistent API, and allows
 them to be aware of other applications' configurations, permitting
 easy application integration. While architecturally similar to other OS
 registries, Elektra does not have most of the problems found in those
 implementations.
 .
 This package contains a Qt-based graphical interface for Elektra.

Package: elektra-tests
Priority: extra
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libelektra4 (= ${binary:Version}),
 elektra-bin (= ${binary:Version}),
 ${shlibs:Depends},
